- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties | Friends

# QGraphicsObject Class Reference

Search for all occurrences

## Detailed Description

Definition at line 546 of file qgraphicsitem.h.

`#include <qgraphicsitem.h>`

Inheritance diagram for QGraphicsObject:
[legend]

List of all members.

## Signals
void | parentChanged ()
void | opacityChanged ()
void | visibleChanged ()
void | enabledChanged ()
void | xChanged ()
void | yChanged ()
void | zChanged ()
void | rotationChanged ()
void | scaleChanged ()
void | childrenChanged ()
void | widthChanged ()
void | heightChanged ()
## Public Member Functions
| QGraphicsObject (QGraphicsItem *parent=0)
void | grabGesture (Qt::GestureType type, Qt::GestureFlags flags=Qt::GestureFlags())
void | ungrabGesture (Qt::GestureType type)
## Protected Slots
void | updateMicroFocus ()
## Protected Member Functions
| QGraphicsObject (QGraphicsItemPrivate &dd, QGraphicsItem *parent, QGraphicsScene *scene)
## Properties
QGraphicsObject | parent
qreal | opacity
bool | enabled
bool | visible
QPointF | pos
qreal | x
qreal | y
qreal | z
qreal | rotation
qreal | scale
QPointF | transformOriginPoint
QGraphicsEffect | effect
## Friends
class | QGraphicsItem
class | QGraphicsItemPrivate

## Constructor & Destructor Documentation

QGraphicsObject | ( | QGraphicsItem * | parent = `0` | ) |

QGraphicsObject | ( | QGraphicsItemPrivate & | dd,
|  | QGraphicsItem * | parent,
|  | QGraphicsScene * | scene
| ) |  | `[protected]`

## Member Function Documentation

void grabGesture | ( | Qt::GestureType | type,
|  | Qt::GestureFlags | flags = `Qt::GestureFlags()`
| ) |  |

Search for all occurrences

void ungrabGesture | ( | Qt::GestureType | type | ) |

Search for all occurrences

void updateMicroFocus | ( |  | ) | `[protected, slot]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void parentChanged | ( |  | ) | `[signal]`

Search for all occurrences

void opacityChanged | ( |  | ) | `[signal]`

Search for all occurrences

void visibleChanged | ( |  | ) | `[signal]`

Search for all occurrences

void enabledChanged | ( |  | ) | `[signal]`

Search for all occurrences

void xChanged | ( |  | ) | `[signal]`

Search for all occurrences

void yChanged | ( |  | ) | `[signal]`

Search for all occurrences

void zChanged | ( |  | ) | `[signal]`

Search for all occurrences

void rotationChanged | ( |  | ) | `[signal]`

Search for all occurrences

void scaleChanged | ( |  | ) | `[signal]`

Search for all occurrences

void childrenChanged | ( |  | ) | `[signal]`

Search for all occurrences

void widthChanged | ( |  | ) | `[signal]`

Search for all occurrences

void heightChanged | ( |  | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsItem `[friend]`

Search for all occurrences

Reimplemented in QGraphicsProxyWidget, and QGraphicsWidget.

Definition at line 603 of file qgraphicsitem.h.

friend class QGraphicsItemPrivate `[friend]`

Search for all occurrences

Reimplemented in QGraphicsWidget.

Definition at line 604 of file qgraphicsitem.h.

## Property Documentation

QGraphicsObject parent `[read, write]`

Search for all occurrences

Definition at line 549 of file qgraphicsitem.h.

qreal opacity `[read, write]`

Search for all occurrences

Definition at line 550 of file qgraphicsitem.h.

bool enabled `[read, write]`

Search for all occurrences

Definition at line 551 of file qgraphicsitem.h.

bool visible `[read, write]`

Search for all occurrences

Definition at line 552 of file qgraphicsitem.h.

QPointF pos `[read, write]`

Search for all occurrences

Definition at line 553 of file qgraphicsitem.h.

qreal x `[read, write]`

Search for all occurrences

Definition at line 554 of file qgraphicsitem.h.

qreal y `[read, write]`

Search for all occurrences

Definition at line 555 of file qgraphicsitem.h.

qreal z `[read, write]`

Search for all occurrences

Definition at line 556 of file qgraphicsitem.h.

qreal rotation `[read, write]`

Search for all occurrences

Definition at line 557 of file qgraphicsitem.h.

qreal scale `[read, write]`

Search for all occurrences

Definition at line 558 of file qgraphicsitem.h.

QPointF transformOriginPoint `[read, write]`

Search for all occurrences

Definition at line 559 of file qgraphicsitem.h.

QGraphicsEffect effect `[read, write]`

Search for all occurrences

Definition at line 561 of file qgraphicsitem.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitem.h

QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject
QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject QGraphicsObject